@js(js/login/google_signup.js)

@extends(templates/layout_normal)

@section(main)
    <h2>Sign up</h2>
    <div class="box">
        <form id="googleSignupForm" action="/signup" method="post" data-redirect-on-success="/signup/success">
            <p class="justify">Please confirm your sign up request. Your account will be linked to your Google account.</p>
            <input type="email" class="text big fullWidth marginTop" name="email" placeholder="Email address" value="<?= $email ?>" disabled>
            <input type="username" class="text big fullWidth marginTop" name="username" placeholder="Username">
            <p id="googleSignupFormError" class="formError justify marginTop"></p>
            <div class="right">
                <button class="marginTop marginRight" type="submit">Sign up</button><!--
             --><button id="cancelGoogleSignupButton" class="gray marginTop" type="button">Cancel</button>
            </div>
        </form>
    </div>
@endsection
